Virtualization Plugins

Expand all | Collapse all

Issues after upgrading to Beta version of SDK

Jump to Best Answer
  • 1.  Issues after upgrading to Beta version of SDK

    Posted 06-26-2019 02:57:00 PM
    Having issues after moving from the Alpha to the Beta release.  
    Created new engine 5.3.5.0 built May 24, 2019 6:12:33 AM.
    Used CLI to enable PYTHON_TOOLKITS.
    Upgraded dvp 'pip install dvp --upgrade'.
    Created new plugin : dvp init -n mongosdk -s STAGED
    Followed steps in Discovery to get a basic plugin setup.
    dvp build and dvp upload.
    I can see the 'mongosdk' plugin 0.1.0 under Manage-Plugins.
    Did not even try converting my mongosdk plugin from the previous release.  Wanted to get a basic plugin to work first.
    When I add/refresh environment in the UI it is having issue when discovering.  'db1' failed due to an internal error during execution? 
    How can I troubleshoot this?  I've tried a few times and continues having same issue.



    ------------------------------
    Paul Jauquet
    Senior Data Services Consultant
    Axis Technology, LLC
    ------------------------------


  • 2.  RE: Issues after upgrading to Beta version of SDK

    Posted 06-26-2019 03:36:00 PM
    Hi Paul,

    Since the exception was triggered by an internal error, the best way to move forward would be to download a support bundle. In the support bundle, you should be able to find "log/mgmt_log/debug.log" and "log/mgmt_log/error.log". They should contain stack traces for failed jobs. Feel free to post the stack trace here so we can help you diagnose the issue.

    ------------------------------
    Filip Drozdowski
    Senior Member of Technical Staff I
    Delphix
    ------------------------------



  • 3.  RE: Issues after upgrading to Beta version of SDK

    Posted 06-26-2019 03:58:00 PM
    Downloaded support bundle and uploaded error.log and debug.log files.
    Looks like it is throwing a NullPointerException when running discovery for mongosdk.
    Let me know what you think, and if you need any additional files.
    I've also uploaded mongosdk.zip which has the schema.json and plugin_runner.py files.
    Thanks!

    ------------------------------
    Paul Jauquet
    Senior Data Services Consultant
    Axis Technology, LLC
    ------------------------------

    Attachment(s)

    zip
    mongosdk.zip   845B 1 version
    zip
    mongosdklogs_20190626.zip   390K 1 version


  • 4.  RE: Issues after upgrading to Beta version of SDK
    Best Answer

    Posted 06-26-2019 04:22:00 PM
    Thanks, Paul. Looks like you're hitting a known incompatibility that is triggered when you build a plugin using the alpha version of the SDK (dvp 0.3.0) and upload it to a Delphix engine that expects plugins built against beta version of the SDK (0.4.0). Any plugins built against the old SDK will have to be deleted from the engine.

    To confirm that you're running the new version of the SDK, you could run:
    pip freeze | grep dvp​

    You should see the following output:

    dvp==0.4.0
    dvp-common==0.4.0
    dvp-libs==0.4.0
    dvp-platform==0.4.0
    dvp-tools==0.4.0


    Once you run "dvp build" and your JSON artifact is successfully built, you can manually confirm that the artifact contains property called "manifest". That property of plugin artifacts is required by the beta version of the engine.



    ------------------------------
    Filip Drozdowski
    Senior Member of Technical Staff I
    Delphix
    ------------------------------



  • 5.  RE: Issues after upgrading to Beta version of SDK

    Posted 06-26-2019 04:53:00 PM
    That was it!   Turned out I had updated dvp but for the system Python, not the one that I'm using for SDK.  Once I upgraded it and rebuilt the SDK it worked fine.  Thanks much for your help!

    ------------------------------
    Paul Jauquet
    Senior Data Services Consultant
    Axis Technology, LLC
    ------------------------------